<?php
/*
Widget realizzato da Daniele Margotti
Funzioni Javascript prese da http://www.cookiechoices.org/


Funzionamento:

La prima parte, in PHP, consente di scegliere un link diverso all'informativa a seconda del Comune
che si sta visualizzando (utile per le installazioni multicomune).
 possibile scegliere un link a una pagina esistente (ad esempio, l'informativa che si trova sul sito 
del proprio Comune), oppure un file presente sull'installazione di Eleonline, nella sottocartella /privacy
all'interno della cartella dei widget, ad esempio un file HTML (non integrato nel tema scelto per Eleonline)
o un file PDF (pi standard e pi leggibile).
Chi non ha una installazione multicomune pu semplicemente inserire il link nella sezione "default:".
Il codice PHP mostra anche un link all'informativa sulla privacy, integrato nel tema.

La seconda parte  il Javascript che si occupa di visualizzare la barra con il messaggio per il consenso 
all'utilizzo dei cookies.
Invece della funzione "showCookieConsentBar" si pu usare la funzione "showCookieConsentDialog", che
mostra una finestra di dialogo (che non consente di proseguire finch non si conferma la presa visione).
Entrambe le funzioni richiedono quattro parametri:
 - il testo da mostrare ai visitatori
 - il testo per confermare la presa visione (es: "OK", "Chiudi", ecc...)
 - il testo per l'informativa (es.: "Informativa", "Informativa estesa", "Leggi informativa", ecc...)
 - il link all'informativa (come definito prima, in modalit multicomune)

Limiti:
 - una volta dato il consenso per un Comune, questo vale per tutti (e la barra non appare pi);
 - il widget non funziona con il tema Futura2.

*/

global $id_comune;

switch ($id_comune) {
	case "00100":	// Informativa privacy sul sito web del Comune 00100
		$informativa="http://www.example.com/privacy_comune_00100";
		break;
	case "00101": // Informativa privacy sul sito web del Comune 00101
		$informativa="http://www.example.com/privacy_comune_00101";
		break;
	case "00102": // Informativa privacy in formato HTML, salvata nella cartella "privacy" dei widget
		$informativa="modules/Elezioni/blocchi/privacy/privacy.html";
		break;
	case "00103": // Informativa privacy in formato PDF, salvata nella cartella "privacy" dei widget
		$informativa="modules/Elezioni/blocchi/privacy/privacy.html";
		break;
	default: // Default per tutti gli altri Comuni
		$informativa="modules/Elezioni/blocchi/privacy/privacy.pdf";
	}

echo " 
      <h5> 
        Privacy </h5>
        
            <h6><a href=\"".$informativa."\" target=\"_BLANK\">Informativa sulla privacy</a></h6>
";
?>

<!-- Prima di incollare il codice caricare il javascript  -->
<script src="modules/Elezioni/blocchi/privacy/cookiechoices.js"></script>
<script>
  document.addEventListener('DOMContentLoaded', function(event) {
    cookieChoices.showCookieConsentBar("Il nostro sito utilizza i cookie per rendere migliore la tua esperienza di navigazione. Continuando la navigazione accetti l'utilizzo dei cookie secondo quanto descritto nell'",
        'Chiudi', 'Informativa', '<?php echo $informativa;?>');
  });
</script>
